import java.awt.Point;

public class Class405 {

   public int anInt4922;
   byte[][] aByteArrayArray4923;
   public int anInt4924;
   byte[] aByteArray4925;
   public int anInt4926;
   static String[] aStringArray4927 = new String[100];


   public int method6836(int var1, char var2) {
      return null != this.aByteArrayArray4923?this.aByteArrayArray4923[var1][var2]:0;
   }

   public int method6837(int var1, char var2, short var3) {
      return null != this.aByteArrayArray4923?this.aByteArrayArray4923[var1][var2]:0;
   }

   public static Class405 method6838(Class253 var0, int var1, int var2) {
      byte[] var3 = var0.method4547(var1, var2, (byte)-23);
      return var3 == null?null:new Class405(var3);
   }

   public int method6839(String var1, int var2) {
      return this.method6856(var1, (Interface45[])null, (short)16384);
   }

   public int method6840(String var1, Interface45[] var2) {
      if(null == var1) {
         return 0;
      } else {
         int var3 = -1;
         int var4 = -1;
         int var5 = 0;
         int var6 = var1.length();

         for(int var7 = 0; var7 < var6; ++var7) {
            char var8 = var1.charAt(var7);
            if(var8 == 60) {
               var3 = var7;
            } else {
               if(62 == var8 && -1 != var3) {
                  String var9 = var1.substring(1 + var3, var7);
                  var3 = -1;
                  if(var9.equals("lt")) {
                     var8 = 60;
                  } else if(var9.equals("gt")) {
                     var8 = 62;
                  } else if(var9.equals("nbsp")) {
                     var8 = 160;
                  } else if(var9.equals("shy")) {
                     var8 = 173;
                  } else if(var9.equals("times")) {
                     var8 = 215;
                  } else if(var9.equals("euro")) {
                     var8 = 8364;
                  } else if(var9.equals("copy")) {
                     var8 = 169;
                  } else {
                     if(!var9.equals("reg")) {
                        if(var9.startsWith("img=") && var2 != null) {
                           try {
                              int var10 = Class78.method1629(var9.substring(4), -549334024);
                              var5 += var2[var10].method94();
                              var4 = -1;
                           } catch (Exception var11) {
                              ;
                           }
                        }
                        continue;
                     }

                     var8 = 174;
                  }
               }

               if(var3 == -1) {
                  var5 += this.aByteArray4925[Class313.method5585(var8, (short)176) & 255] & 255;
                  if(this.aByteArrayArray4923 != null && -1 != var4) {
                     var5 += this.aByteArrayArray4923[var4][var8];
                  }

                  var4 = var8;
               }
            }
         }

         return var5;
      }
   }

   public static Class405 method6841(Class253 var0, int var1) {
      byte[] var2 = var0.method4512(var1, 749605384);
      return null == var2?null:new Class405(var2);
   }

   public int method6842(String var1, int[] var2, String[] var3, Interface45[] var4, int var5) {
      return this.method6843(var1, var2, var3, var4, true, 937148694);
   }

   int method6843(String var1, int[] var2, String[] var3, Interface45[] var4, boolean var5, int var6) {
      if(var1 == null) {
         return 0;
      } else {
         int var7 = 0;
         int var8 = 0;
         int var9 = -1;
         int var10 = 0;
         int var11 = 0;
         int var12 = -1;
         int var13 = -1;
         int var14 = 0;
         int var15 = var1.length();

         for(int var16 = 0; var16 < var15; ++var16) {
            int var17 = Class313.method5585(var1.charAt(var16), (short)176) & 255;
            int var18 = 0;
            if(var17 == 60) {
               var12 = var16;
            } else {
               int var19;
               if(-1 != var12) {
                  if(62 != var17) {
                     continue;
                  }

                  var19 = var12;
                  String var20 = var1.substring(1 + var12, var16);
                  var12 = -1;
                  if(var20.equals("br")) {
                     var3[var14] = var1.substring(var8, 1 + var16);
                     ++var14;
                     if(var14 >= var3.length) {
                        return 0;
                     }

                     var8 = 1 + var16;
                     var7 = 0;
                     var9 = -1;
                     var13 = -1;
                     continue;
                  }

                  if(var20.equals("lt")) {
                     var18 += this.method6849(60, (byte)43);
                     if(null != this.aByteArrayArray4923 && -1 != var13) {
                        var18 += this.aByteArrayArray4923[var13][60];
                     }

                     var13 = 60;
                  } else if(var20.equals("gt")) {
                     var18 += this.method6849(62, (byte)54);
                     if(null != this.aByteArrayArray4923 && var13 != -1) {
                        var18 += this.aByteArrayArray4923[var13][62];
                     }

                     var13 = 62;
                  } else if(var20.equals("nbsp")) {
                     var18 += this.method6849(160, (byte)48);
                     if(null != this.aByteArrayArray4923 && -1 != var13) {
                        var18 += this.aByteArrayArray4923[var13][160];
                     }

                     var13 = 160;
                  } else if(var20.equals("shy")) {
                     var18 += this.method6849(173, (byte)29);
                     if(null != this.aByteArrayArray4923 && var13 != -1) {
                        var18 += this.aByteArrayArray4923[var13][173];
                     }

                     var13 = 173;
                  } else if(var20.equals("times")) {
                     var18 += this.method6849(215, (byte)80);
                     if(null != this.aByteArrayArray4923 && var13 != -1) {
                        var18 += this.aByteArrayArray4923[var13][215];
                     }

                     var13 = 215;
                  } else if(var20.equals("euro")) {
                     var18 += this.method6849(8364, (byte)60);
                     if(null != this.aByteArrayArray4923 && -1 != var13) {
                        var18 += this.aByteArrayArray4923[var13][8364];
                     }

                     var13 = 8364;
                  } else if(var20.equals("copy")) {
                     var18 += this.method6849(169, (byte)120);
                     if(this.aByteArrayArray4923 != null && var13 != -1) {
                        var18 += this.aByteArrayArray4923[var13][169];
                     }

                     var13 = 169;
                  } else if(var20.equals("reg")) {
                     var18 += this.method6849(174, (byte)63);
                     if(null != this.aByteArrayArray4923 && -1 != var13) {
                        var18 += this.aByteArrayArray4923[var13][174];
                     }

                     var13 = 174;
                  } else if(var20.startsWith("img=") && var4 != null) {
                     try {
                        int var21 = Class78.method1629(var20.substring(4), -1628944770);
                        var18 += var4[var21].method94();
                        var13 = -1;
                     } catch (Exception var22) {
                        ;
                     }
                  }

                  var17 = -1;
               } else {
                  var19 = var16;
                  var18 += this.method6849(var17, (byte)29);
                  if(null != this.aByteArrayArray4923 && -1 != var13) {
                     var18 += this.aByteArrayArray4923[var13][var17];
                  }

                  var13 = var17;
               }

               if(var18 > 0) {
                  var7 += var18;
                  if(null != var2) {
                     if(32 == var17) {
                        var9 = var16;
                        var10 = var7;
                        var11 = var5?1:0;
                     }

                     if(var7 > var2[var14 < var2.length?var14:var2.length - 1]) {
                        if(var9 >= 0) {
                           var3[var14] = var1.substring(var8, var9 + 1 - var11);
                           ++var14;
                           if(var14 >= var3.length) {
                              return 0;
                           }

                           var8 = var9 + 1;
                           var9 = -1;
                           var7 -= var10;
                           var13 = -1;
                        } else {
                           var3[var14] = var1.substring(var8, var19);
                           ++var14;
                           if(var14 >= var3.length) {
                              return 0;
                           }

                           var8 = var19;
                           var9 = -1;
                           var7 = var18;
                           var13 = -1;
                        }
                     }

                     if(45 == var17) {
                        var9 = var16;
                        var10 = var7;
                        var11 = 0;
                     }
                  }
               }
            }
         }

         if(var1.length() > var8) {
            var3[var14] = var1.substring(var8, var1.length());
            ++var14;
         }

         return var14;
      }
   }

   public int method6844(String var1, int var2, Interface45[] var3) {
      return this.method6842(var1, new int[]{var2}, aStringArray4927, var3, -305189546);
   }

   public int method6845(String var1, int var2, Interface45[] var3, int var4) {
      return this.method6842(var1, new int[]{var2}, aStringArray4927, var3, 1574397973);
   }

   public int method6846(String var1, int var2, int var3, Interface45[] var4, int var5) {
      if(0 == var3) {
         var3 = this.anInt4924 * -763478155;
      }

      int var6 = this.method6842(var1, new int[]{var2}, aStringArray4927, var4, 2110345046);
      int var7 = (var6 - 1) * var3;
      return var7 + this.anInt4922 * 835794751 + this.anInt4926 * -1710708437;
   }

   public Point method6847(String var1, int var2, int var3, int var4, Interface45[] var5, int var6) {
      if(var4 <= 0) {
         return new Point(0, 835794751 * this.anInt4922 + var3);
      } else {
         if(var4 > var1.length()) {
            var4 = var1.length();
         }

         if(0 == var3) {
            var3 = -763478155 * this.anInt4924;
         }

         int var7 = this.method6843(var1, new int[]{var2}, aStringArray4927, var5, false, 937148694);
         int var8 = 0;

         for(int var9 = 0; var9 < var7; ++var9) {
            int var10 = aStringArray4927[var9].length();
            if(var8 + var10 > var4 || var9 == var7 - 1 && var4 == var1.length()) {
               String var11 = var1.substring(var8, var4);
               if(var11.endsWith("<br>")) {
                  var11 = "";
                  int var10000 = var8 + var10;
                  ++var9;
               }

               int var12 = this.method6856(var11, var5, (short)16384);
               int var13 = this.anInt4922 * 835794751 + var3 * var9;
               return new Point(var12, var13);
            }

            var8 += var10;
         }

         return null;
      }
   }

   public int method6848(String var1) {
      return this.method6856(var1, (Interface45[])null, (short)16384);
   }

   public int method6849(int var1, byte var2) {
      return this.aByteArray4925[var1] & 255;
   }

   public int method6850(String var1, Interface45[] var2) {
      if(null == var1) {
         return 0;
      } else {
         int var3 = -1;
         int var4 = -1;
         int var5 = 0;
         int var6 = var1.length();

         for(int var7 = 0; var7 < var6; ++var7) {
            char var8 = var1.charAt(var7);
            if(var8 == 60) {
               var3 = var7;
            } else {
               if(62 == var8 && -1 != var3) {
                  String var9 = var1.substring(1 + var3, var7);
                  var3 = -1;
                  if(var9.equals("lt")) {
                     var8 = 60;
                  } else if(var9.equals("gt")) {
                     var8 = 62;
                  } else if(var9.equals("nbsp")) {
                     var8 = 160;
                  } else if(var9.equals("shy")) {
                     var8 = 173;
                  } else if(var9.equals("times")) {
                     var8 = 215;
                  } else if(var9.equals("euro")) {
                     var8 = 8364;
                  } else if(var9.equals("copy")) {
                     var8 = 169;
                  } else {
                     if(!var9.equals("reg")) {
                        if(var9.startsWith("img=") && var2 != null) {
                           try {
                              int var10 = Class78.method1629(var9.substring(4), -1367648394);
                              var5 += var2[var10].method94();
                              var4 = -1;
                           } catch (Exception var11) {
                              ;
                           }
                        }
                        continue;
                     }

                     var8 = 174;
                  }
               }

               if(var3 == -1) {
                  var5 += this.aByteArray4925[Class313.method5585(var8, (short)176) & 255] & 255;
                  if(this.aByteArrayArray4923 != null && -1 != var4) {
                     var5 += this.aByteArrayArray4923[var4][var8];
                  }

                  var4 = var8;
               }
            }
         }

         return var5;
      }
   }

   public static Class405 method6851(Class253 var0, int var1, int var2) {
      byte[] var3 = var0.method4547(var1, var2, (byte)16);
      return var3 == null?null:new Class405(var3);
   }

   public static Class405 method6852(Class253 var0, int var1, int var2) {
      byte[] var3 = var0.method4547(var1, var2, (byte)-22);
      return var3 == null?null:new Class405(var3);
   }

   public Point method6853(String var1, int var2, int var3, int var4, Interface45[] var5) {
      if(var4 <= 0) {
         return new Point(0, 835794751 * this.anInt4922 + var3);
      } else {
         if(var4 > var1.length()) {
            var4 = var1.length();
         }

         if(0 == var3) {
            var3 = -763478155 * this.anInt4924;
         }

         int var6 = this.method6843(var1, new int[]{var2}, aStringArray4927, var5, false, 937148694);
         int var7 = 0;

         for(int var8 = 0; var8 < var6; ++var8) {
            int var9 = aStringArray4927[var8].length();
            if(var7 + var9 > var4 || var8 == var6 - 1 && var4 == var1.length()) {
               String var10 = var1.substring(var7, var4);
               if(var10.endsWith("<br>")) {
                  var10 = "";
                  int var10000 = var7 + var9;
                  ++var8;
               }

               int var11 = this.method6856(var10, var5, (short)16384);
               int var12 = this.anInt4922 * 835794751 + var3 * var8;
               return new Point(var11, var12);
            }

            var7 += var9;
         }

         return null;
      }
   }

   public String method6854(String var1, int var2, Interface45[] var3, int var4) {
      if(this.method6856(var1, var3, (short)16384) <= var2) {
         return var1;
      } else {
         var2 -= this.method6856("...", (Interface45[])null, (short)16384);
         int var5 = -1;
         int var6 = -1;
         int var7 = 0;
         int var8 = var1.length();
         String var9 = "";

         for(int var10 = 0; var10 < var8; ++var10) {
            char var11 = var1.charAt(var10);
            if(var11 == 60) {
               var5 = var10;
            } else {
               if(62 == var11 && var5 != -1) {
                  String var12 = var1.substring(var5 + 1, var10);
                  var5 = -1;
                  if(var12.equals("lt")) {
                     var11 = 60;
                  } else if(var12.equals("gt")) {
                     var11 = 62;
                  } else if(var12.equals("nbsp")) {
                     var11 = 160;
                  } else if(var12.equals("shy")) {
                     var11 = 173;
                  } else if(var12.equals("times")) {
                     var11 = 215;
                  } else if(var12.equals("euro")) {
                     var11 = 8364;
                  } else if(var12.equals("copy")) {
                     var11 = 169;
                  } else {
                     if(!var12.equals("reg")) {
                        if(var12.startsWith("img=") && null != var3) {
                           try {
                              int var13 = Class78.method1629(var12.substring(4), -1518799869);
                              var7 += var3[var13].method94();
                              var6 = -1;
                              if(var7 > var2) {
                                 return var9 + "...";
                              }

                              var9 = var1.substring(0, 1 + var10);
                           } catch (Exception var14) {
                              ;
                           }
                        }
                        continue;
                     }

                     var11 = 174;
                  }
               }

               if(-1 == var5) {
                  var7 += this.aByteArray4925[Class313.method5585(var11, (short)176) & 255] & 255;
                  if(this.aByteArrayArray4923 != null && -1 != var6) {
                     var7 += this.aByteArrayArray4923[var6][var11];
                  }

                  var6 = var11;
                  int var15 = var7;
                  if(this.aByteArrayArray4923 != null) {
                     var15 = var7 + this.aByteArrayArray4923[var11][46];
                  }

                  if(var15 > var2) {
                     return var9 + "...";
                  }

                  var9 = var1.substring(0, 1 + var10);
               }
            }
         }

         return var1;
      }
   }

   public static Class405 method6855(Class253 var0, int var1) {
      byte[] var2 = var0.method4512(var1, 749605384);
      return null == var2?null:new Class405(var2);
   }

   public int method6856(String var1, Interface45[] var2, short var3) {
      if(null == var1) {
         return 0;
      } else {
         int var4 = -1;
         int var5 = -1;
         int var6 = 0;
         int var7 = var1.length();

         for(int var8 = 0; var8 < var7; ++var8) {
            char var9 = var1.charAt(var8);
            if(var9 == 60) {
               var4 = var8;
            } else {
               if(62 == var9 && -1 != var4) {
                  String var10 = var1.substring(1 + var4, var8);
                  var4 = -1;
                  if(var10.equals("lt")) {
                     var9 = 60;
                  } else if(var10.equals("gt")) {
                     var9 = 62;
                  } else if(var10.equals("nbsp")) {
                     var9 = 160;
                  } else if(var10.equals("shy")) {
                     var9 = 173;
                  } else if(var10.equals("times")) {
                     var9 = 215;
                  } else if(var10.equals("euro")) {
                     var9 = 8364;
                  } else if(var10.equals("copy")) {
                     var9 = 169;
                  } else {
                     if(!var10.equals("reg")) {
                        if(var10.startsWith("img=") && var2 != null) {
                           try {
                              int var11 = Class78.method1629(var10.substring(4), -1279388579);
                              var6 += var2[var11].method94();
                              var5 = -1;
                           } catch (Exception var12) {
                              ;
                           }
                        }
                        continue;
                     }

                     var9 = 174;
                  }
               }

               if(var4 == -1) {
                  var6 += this.aByteArray4925[Class313.method5585(var9, (short)176) & 255] & 255;
                  if(this.aByteArrayArray4923 != null && -1 != var5) {
                     var6 += this.aByteArrayArray4923[var5][var9];
                  }

                  var5 = var9;
               }
            }
         }

         return var6;
      }
   }

   public int method6857(int var1, char var2) {
      return null != this.aByteArrayArray4923?this.aByteArrayArray4923[var1][var2]:0;
   }

   public int method6858(int var1, char var2) {
      return null != this.aByteArrayArray4923?this.aByteArrayArray4923[var1][var2]:0;
   }

   public int method6859(int var1, char var2) {
      return null != this.aByteArrayArray4923?this.aByteArrayArray4923[var1][var2]:0;
   }

   public int method6860(String var1, int var2, int var3, int var4, int var5, Interface45[] var6, byte var7) {
      if(0 == var3) {
         var3 = -763478155 * this.anInt4924;
      }

      int var8 = this.method6842(var1, new int[]{var2}, aStringArray4927, var6, 2128005023);
      if(var8 == 0) {
         return 0;
      } else {
         if(var5 < 0) {
            var5 = 0;
         }

         var5 /= var3;
         if(var5 >= var8) {
            var5 = var8 - 1;
         }

         String var9 = aStringArray4927[var5];
         int var10 = 0;
         int var11 = 0;

         int var12;
         for(var12 = 0; var12 < var4 && var10 < var9.length(); var12 = this.method6856(var9.substring(0, var10), var6, (short)16384)) {
            var11 = var12;
            ++var10;
         }

         if(var10 == var9.length() && var9.endsWith("<br>")) {
            var10 -= 4;
         }

         if(var4 - var11 < var12 - var4) {
            --var10;
         }

         for(int var13 = 0; var13 < var5; ++var13) {
            var10 += aStringArray4927[var13].length();
         }

         return var10;
      }
   }

   public int method6861(String var1, int var2, int var3, Interface45[] var4) {
      if(0 == var3) {
         var3 = this.anInt4924 * -763478155;
      }

      int var5 = this.method6842(var1, new int[]{var2}, aStringArray4927, var4, -196053314);
      int var6 = (var5 - 1) * var3;
      return var6 + this.anInt4922 * 835794751 + this.anInt4926 * -1710708437;
   }

   public int method6862(int var1) {
      return this.aByteArray4925[var1] & 255;
   }

   public int method6863(int var1) {
      return this.aByteArray4925[var1] & 255;
   }

   public int method6864(int var1) {
      return this.aByteArray4925[var1] & 255;
   }

   public int method6865(String var1) {
      return this.method6856(var1, (Interface45[])null, (short)16384);
   }

   public int method6866(String var1, Interface45[] var2) {
      if(null == var1) {
         return 0;
      } else {
         int var3 = -1;
         int var4 = -1;
         int var5 = 0;
         int var6 = var1.length();

         for(int var7 = 0; var7 < var6; ++var7) {
            char var8 = var1.charAt(var7);
            if(var8 == 60) {
               var3 = var7;
            } else {
               if(62 == var8 && -1 != var3) {
                  String var9 = var1.substring(1 + var3, var7);
                  var3 = -1;
                  if(var9.equals("lt")) {
                     var8 = 60;
                  } else if(var9.equals("gt")) {
                     var8 = 62;
                  } else if(var9.equals("nbsp")) {
                     var8 = 160;
                  } else if(var9.equals("shy")) {
                     var8 = 173;
                  } else if(var9.equals("times")) {
                     var8 = 215;
                  } else if(var9.equals("euro")) {
                     var8 = 8364;
                  } else if(var9.equals("copy")) {
                     var8 = 169;
                  } else {
                     if(!var9.equals("reg")) {
                        if(var9.startsWith("img=") && var2 != null) {
                           try {
                              int var10 = Class78.method1629(var9.substring(4), -1763257913);
                              var5 += var2[var10].method94();
                              var4 = -1;
                           } catch (Exception var11) {
                              ;
                           }
                        }
                        continue;
                     }

                     var8 = 174;
                  }
               }

               if(var3 == -1) {
                  var5 += this.aByteArray4925[Class313.method5585(var8, (short)176) & 255] & 255;
                  if(this.aByteArrayArray4923 != null && -1 != var4) {
                     var5 += this.aByteArrayArray4923[var4][var8];
                  }

                  var4 = var8;
               }
            }
         }

         return var5;
      }
   }

   public int method6867(int var1, char var2) {
      return null != this.aByteArrayArray4923?this.aByteArrayArray4923[var1][var2]:0;
   }

   static int method6868(byte[][] var0, byte[][] var1, int[] var2, byte[] var3, int[] var4, int var5, int var6) {
      int var7 = var2[var5];
      int var8 = var7 + var4[var5];
      int var9 = var2[var6];
      int var10 = var9 + var4[var6];
      int var11 = var7;
      if(var9 > var7) {
         var11 = var9;
      }

      int var12 = var8;
      if(var10 < var8) {
         var12 = var10;
      }

      int var13 = var3[var5] & 255;
      if((var3[var6] & 255) < var13) {
         var13 = var3[var6] & 255;
      }

      byte[] var14 = var1[var5];
      byte[] var15 = var0[var6];
      int var16 = var11 - var7;
      int var17 = var11 - var9;

      for(int var18 = var11; var18 < var12; ++var18) {
         int var19 = var14[var16++] + var15[var17++];
         if(var19 < var13) {
            var13 = var19;
         }
      }

      return -var13;
   }

   public String method6869(String var1, int var2, Interface45[] var3) {
      if(this.method6856(var1, var3, (short)16384) <= var2) {
         return var1;
      } else {
         var2 -= this.method6856("...", (Interface45[])null, (short)16384);
         int var4 = -1;
         int var5 = -1;
         int var6 = 0;
         int var7 = var1.length();
         String var8 = "";

         for(int var9 = 0; var9 < var7; ++var9) {
            char var10 = var1.charAt(var9);
            if(var10 == 60) {
               var4 = var9;
            } else {
               if(62 == var10 && var4 != -1) {
                  String var11 = var1.substring(var4 + 1, var9);
                  var4 = -1;
                  if(var11.equals("lt")) {
                     var10 = 60;
                  } else if(var11.equals("gt")) {
                     var10 = 62;
                  } else if(var11.equals("nbsp")) {
                     var10 = 160;
                  } else if(var11.equals("shy")) {
                     var10 = 173;
                  } else if(var11.equals("times")) {
                     var10 = 215;
                  } else if(var11.equals("euro")) {
                     var10 = 8364;
                  } else if(var11.equals("copy")) {
                     var10 = 169;
                  } else {
                     if(!var11.equals("reg")) {
                        if(var11.startsWith("img=") && null != var3) {
                           try {
                              int var12 = Class78.method1629(var11.substring(4), -944298801);
                              var6 += var3[var12].method94();
                              var5 = -1;
                              if(var6 > var2) {
                                 return var8 + "...";
                              }

                              var8 = var1.substring(0, 1 + var9);
                           } catch (Exception var13) {
                              ;
                           }
                        }
                        continue;
                     }

                     var10 = 174;
                  }
               }

               if(-1 == var4) {
                  var6 += this.aByteArray4925[Class313.method5585(var10, (short)176) & 255] & 255;
                  if(this.aByteArrayArray4923 != null && -1 != var5) {
                     var6 += this.aByteArrayArray4923[var5][var10];
                  }

                  var5 = var10;
                  int var14 = var6;
                  if(this.aByteArrayArray4923 != null) {
                     var14 = var6 + this.aByteArrayArray4923[var10][46];
                  }

                  if(var14 > var2) {
                     return var8 + "...";
                  }

                  var8 = var1.substring(0, 1 + var9);
               }
            }
         }

         return var1;
      }
   }

   public int method6870(String var1, int[] var2, String[] var3, Interface45[] var4) {
      return this.method6843(var1, var2, var3, var4, true, 937148694);
   }

   public int method6871(String var1, int[] var2, String[] var3, Interface45[] var4) {
      return this.method6843(var1, var2, var3, var4, true, 937148694);
   }

   int method6872(String var1, int[] var2, String[] var3, Interface45[] var4, boolean var5) {
      if(var1 == null) {
         return 0;
      } else {
         int var6 = 0;
         int var7 = 0;
         int var8 = -1;
         int var9 = 0;
         int var10 = 0;
         int var11 = -1;
         int var12 = -1;
         int var13 = 0;
         int var14 = var1.length();

         for(int var15 = 0; var15 < var14; ++var15) {
            int var16 = Class313.method5585(var1.charAt(var15), (short)176) & 255;
            int var17 = 0;
            if(var16 == 60) {
               var11 = var15;
            } else {
               int var18;
               if(-1 != var11) {
                  if(62 != var16) {
                     continue;
                  }

                  var18 = var11;
                  String var19 = var1.substring(1 + var11, var15);
                  var11 = -1;
                  if(var19.equals("br")) {
                     var3[var13] = var1.substring(var7, 1 + var15);
                     ++var13;
                     if(var13 >= var3.length) {
                        return 0;
                     }

                     var7 = 1 + var15;
                     var6 = 0;
                     var8 = -1;
                     var12 = -1;
                     continue;
                  }

                  if(var19.equals("lt")) {
                     var17 += this.method6849(60, (byte)104);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][60];
                     }

                     var12 = 60;
                  } else if(var19.equals("gt")) {
                     var17 += this.method6849(62, (byte)97);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][62];
                     }

                     var12 = 62;
                  } else if(var19.equals("nbsp")) {
                     var17 += this.method6849(160, (byte)17);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][160];
                     }

                     var12 = 160;
                  } else if(var19.equals("shy")) {
                     var17 += this.method6849(173, (byte)62);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][173];
                     }

                     var12 = 173;
                  } else if(var19.equals("times")) {
                     var17 += this.method6849(215, (byte)109);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][215];
                     }

                     var12 = 215;
                  } else if(var19.equals("euro")) {
                     var17 += this.method6849(8364, (byte)89);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][8364];
                     }

                     var12 = 8364;
                  } else if(var19.equals("copy")) {
                     var17 += this.method6849(169, (byte)126);
                     if(this.aByteArrayArray4923 != null && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][169];
                     }

                     var12 = 169;
                  } else if(var19.equals("reg")) {
                     var17 += this.method6849(174, (byte)77);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][174];
                     }

                     var12 = 174;
                  } else if(var19.startsWith("img=") && var4 != null) {
                     try {
                        int var20 = Class78.method1629(var19.substring(4), -951541692);
                        var17 += var4[var20].method94();
                        var12 = -1;
                     } catch (Exception var21) {
                        ;
                     }
                  }

                  var16 = -1;
               } else {
                  var18 = var15;
                  var17 += this.method6849(var16, (byte)19);
                  if(null != this.aByteArrayArray4923 && -1 != var12) {
                     var17 += this.aByteArrayArray4923[var12][var16];
                  }

                  var12 = var16;
               }

               if(var17 > 0) {
                  var6 += var17;
                  if(null != var2) {
                     if(32 == var16) {
                        var8 = var15;
                        var9 = var6;
                        var10 = var5?1:0;
                     }

                     if(var6 > var2[var13 < var2.length?var13:var2.length - 1]) {
                        if(var8 >= 0) {
                           var3[var13] = var1.substring(var7, var8 + 1 - var10);
                           ++var13;
                           if(var13 >= var3.length) {
                              return 0;
                           }

                           var7 = var8 + 1;
                           var8 = -1;
                           var6 -= var9;
                           var12 = -1;
                        } else {
                           var3[var13] = var1.substring(var7, var18);
                           ++var13;
                           if(var13 >= var3.length) {
                              return 0;
                           }

                           var7 = var18;
                           var8 = -1;
                           var6 = var17;
                           var12 = -1;
                        }
                     }

                     if(45 == var16) {
                        var8 = var15;
                        var9 = var6;
                        var10 = 0;
                     }
                  }
               }
            }
         }

         if(var1.length() > var7) {
            var3[var13] = var1.substring(var7, var1.length());
            ++var13;
         }

         return var13;
      }
   }

   int method6873(String var1, int[] var2, String[] var3, Interface45[] var4, boolean var5) {
      if(var1 == null) {
         return 0;
      } else {
         int var6 = 0;
         int var7 = 0;
         int var8 = -1;
         int var9 = 0;
         int var10 = 0;
         int var11 = -1;
         int var12 = -1;
         int var13 = 0;
         int var14 = var1.length();

         for(int var15 = 0; var15 < var14; ++var15) {
            int var16 = Class313.method5585(var1.charAt(var15), (short)176) & 255;
            int var17 = 0;
            if(var16 == 60) {
               var11 = var15;
            } else {
               int var18;
               if(-1 != var11) {
                  if(62 != var16) {
                     continue;
                  }

                  var18 = var11;
                  String var19 = var1.substring(1 + var11, var15);
                  var11 = -1;
                  if(var19.equals("br")) {
                     var3[var13] = var1.substring(var7, 1 + var15);
                     ++var13;
                     if(var13 >= var3.length) {
                        return 0;
                     }

                     var7 = 1 + var15;
                     var6 = 0;
                     var8 = -1;
                     var12 = -1;
                     continue;
                  }

                  if(var19.equals("lt")) {
                     var17 += this.method6849(60, (byte)56);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][60];
                     }

                     var12 = 60;
                  } else if(var19.equals("gt")) {
                     var17 += this.method6849(62, (byte)127);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][62];
                     }

                     var12 = 62;
                  } else if(var19.equals("nbsp")) {
                     var17 += this.method6849(160, (byte)56);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][160];
                     }

                     var12 = 160;
                  } else if(var19.equals("shy")) {
                     var17 += this.method6849(173, (byte)28);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][173];
                     }

                     var12 = 173;
                  } else if(var19.equals("times")) {
                     var17 += this.method6849(215, (byte)32);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][215];
                     }

                     var12 = 215;
                  } else if(var19.equals("euro")) {
                     var17 += this.method6849(8364, (byte)52);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][8364];
                     }

                     var12 = 8364;
                  } else if(var19.equals("copy")) {
                     var17 += this.method6849(169, (byte)27);
                     if(this.aByteArrayArray4923 != null && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][169];
                     }

                     var12 = 169;
                  } else if(var19.equals("reg")) {
                     var17 += this.method6849(174, (byte)119);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][174];
                     }

                     var12 = 174;
                  } else if(var19.startsWith("img=") && var4 != null) {
                     try {
                        int var20 = Class78.method1629(var19.substring(4), -1249463516);
                        var17 += var4[var20].method94();
                        var12 = -1;
                     } catch (Exception var21) {
                        ;
                     }
                  }

                  var16 = -1;
               } else {
                  var18 = var15;
                  var17 += this.method6849(var16, (byte)35);
                  if(null != this.aByteArrayArray4923 && -1 != var12) {
                     var17 += this.aByteArrayArray4923[var12][var16];
                  }

                  var12 = var16;
               }

               if(var17 > 0) {
                  var6 += var17;
                  if(null != var2) {
                     if(32 == var16) {
                        var8 = var15;
                        var9 = var6;
                        var10 = var5?1:0;
                     }

                     if(var6 > var2[var13 < var2.length?var13:var2.length - 1]) {
                        if(var8 >= 0) {
                           var3[var13] = var1.substring(var7, var8 + 1 - var10);
                           ++var13;
                           if(var13 >= var3.length) {
                              return 0;
                           }

                           var7 = var8 + 1;
                           var8 = -1;
                           var6 -= var9;
                           var12 = -1;
                        } else {
                           var3[var13] = var1.substring(var7, var18);
                           ++var13;
                           if(var13 >= var3.length) {
                              return 0;
                           }

                           var7 = var18;
                           var8 = -1;
                           var6 = var17;
                           var12 = -1;
                        }
                     }

                     if(45 == var16) {
                        var8 = var15;
                        var9 = var6;
                        var10 = 0;
                     }
                  }
               }
            }
         }

         if(var1.length() > var7) {
            var3[var13] = var1.substring(var7, var1.length());
            ++var13;
         }

         return var13;
      }
   }

   int method6874(String var1, int[] var2, String[] var3, Interface45[] var4, boolean var5) {
      if(var1 == null) {
         return 0;
      } else {
         int var6 = 0;
         int var7 = 0;
         int var8 = -1;
         int var9 = 0;
         int var10 = 0;
         int var11 = -1;
         int var12 = -1;
         int var13 = 0;
         int var14 = var1.length();

         for(int var15 = 0; var15 < var14; ++var15) {
            int var16 = Class313.method5585(var1.charAt(var15), (short)176) & 255;
            int var17 = 0;
            if(var16 == 60) {
               var11 = var15;
            } else {
               int var18;
               if(-1 != var11) {
                  if(62 != var16) {
                     continue;
                  }

                  var18 = var11;
                  String var19 = var1.substring(1 + var11, var15);
                  var11 = -1;
                  if(var19.equals("br")) {
                     var3[var13] = var1.substring(var7, 1 + var15);
                     ++var13;
                     if(var13 >= var3.length) {
                        return 0;
                     }

                     var7 = 1 + var15;
                     var6 = 0;
                     var8 = -1;
                     var12 = -1;
                     continue;
                  }

                  if(var19.equals("lt")) {
                     var17 += this.method6849(60, (byte)16);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][60];
                     }

                     var12 = 60;
                  } else if(var19.equals("gt")) {
                     var17 += this.method6849(62, (byte)97);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][62];
                     }

                     var12 = 62;
                  } else if(var19.equals("nbsp")) {
                     var17 += this.method6849(160, (byte)70);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][160];
                     }

                     var12 = 160;
                  } else if(var19.equals("shy")) {
                     var17 += this.method6849(173, (byte)19);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][173];
                     }

                     var12 = 173;
                  } else if(var19.equals("times")) {
                     var17 += this.method6849(215, (byte)98);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][215];
                     }

                     var12 = 215;
                  } else if(var19.equals("euro")) {
                     var17 += this.method6849(8364, (byte)28);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][8364];
                     }

                     var12 = 8364;
                  } else if(var19.equals("copy")) {
                     var17 += this.method6849(169, (byte)22);
                     if(this.aByteArrayArray4923 != null && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][169];
                     }

                     var12 = 169;
                  } else if(var19.equals("reg")) {
                     var17 += this.method6849(174, (byte)42);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][174];
                     }

                     var12 = 174;
                  } else if(var19.startsWith("img=") && var4 != null) {
                     try {
                        int var20 = Class78.method1629(var19.substring(4), -668346634);
                        var17 += var4[var20].method94();
                        var12 = -1;
                     } catch (Exception var21) {
                        ;
                     }
                  }

                  var16 = -1;
               } else {
                  var18 = var15;
                  var17 += this.method6849(var16, (byte)36);
                  if(null != this.aByteArrayArray4923 && -1 != var12) {
                     var17 += this.aByteArrayArray4923[var12][var16];
                  }

                  var12 = var16;
               }

               if(var17 > 0) {
                  var6 += var17;
                  if(null != var2) {
                     if(32 == var16) {
                        var8 = var15;
                        var9 = var6;
                        var10 = var5?1:0;
                     }

                     if(var6 > var2[var13 < var2.length?var13:var2.length - 1]) {
                        if(var8 >= 0) {
                           var3[var13] = var1.substring(var7, var8 + 1 - var10);
                           ++var13;
                           if(var13 >= var3.length) {
                              return 0;
                           }

                           var7 = var8 + 1;
                           var8 = -1;
                           var6 -= var9;
                           var12 = -1;
                        } else {
                           var3[var13] = var1.substring(var7, var18);
                           ++var13;
                           if(var13 >= var3.length) {
                              return 0;
                           }

                           var7 = var18;
                           var8 = -1;
                           var6 = var17;
                           var12 = -1;
                        }
                     }

                     if(45 == var16) {
                        var8 = var15;
                        var9 = var6;
                        var10 = 0;
                     }
                  }
               }
            }
         }

         if(var1.length() > var7) {
            var3[var13] = var1.substring(var7, var1.length());
            ++var13;
         }

         return var13;
      }
   }

   int method6875(String var1, int[] var2, String[] var3, Interface45[] var4, boolean var5) {
      if(var1 == null) {
         return 0;
      } else {
         int var6 = 0;
         int var7 = 0;
         int var8 = -1;
         int var9 = 0;
         int var10 = 0;
         int var11 = -1;
         int var12 = -1;
         int var13 = 0;
         int var14 = var1.length();

         for(int var15 = 0; var15 < var14; ++var15) {
            int var16 = Class313.method5585(var1.charAt(var15), (short)176) & 255;
            int var17 = 0;
            if(var16 == 60) {
               var11 = var15;
            } else {
               int var18;
               if(-1 != var11) {
                  if(62 != var16) {
                     continue;
                  }

                  var18 = var11;
                  String var19 = var1.substring(1 + var11, var15);
                  var11 = -1;
                  if(var19.equals("br")) {
                     var3[var13] = var1.substring(var7, 1 + var15);
                     ++var13;
                     if(var13 >= var3.length) {
                        return 0;
                     }

                     var7 = 1 + var15;
                     var6 = 0;
                     var8 = -1;
                     var12 = -1;
                     continue;
                  }

                  if(var19.equals("lt")) {
                     var17 += this.method6849(60, (byte)31);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][60];
                     }

                     var12 = 60;
                  } else if(var19.equals("gt")) {
                     var17 += this.method6849(62, (byte)114);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][62];
                     }

                     var12 = 62;
                  } else if(var19.equals("nbsp")) {
                     var17 += this.method6849(160, (byte)71);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][160];
                     }

                     var12 = 160;
                  } else if(var19.equals("shy")) {
                     var17 += this.method6849(173, (byte)54);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][173];
                     }

                     var12 = 173;
                  } else if(var19.equals("times")) {
                     var17 += this.method6849(215, (byte)102);
                     if(null != this.aByteArrayArray4923 && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][215];
                     }

                     var12 = 215;
                  } else if(var19.equals("euro")) {
                     var17 += this.method6849(8364, (byte)44);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][8364];
                     }

                     var12 = 8364;
                  } else if(var19.equals("copy")) {
                     var17 += this.method6849(169, (byte)93);
                     if(this.aByteArrayArray4923 != null && var12 != -1) {
                        var17 += this.aByteArrayArray4923[var12][169];
                     }

                     var12 = 169;
                  } else if(var19.equals("reg")) {
                     var17 += this.method6849(174, (byte)92);
                     if(null != this.aByteArrayArray4923 && -1 != var12) {
                        var17 += this.aByteArrayArray4923[var12][174];
                     }

                     var12 = 174;
                  } else if(var19.startsWith("img=") && var4 != null) {
                     try {
                        int var20 = Class78.method1629(var19.substring(4), -1679985631);
                        var17 += var4[var20].method94();
                        var12 = -1;
                     } catch (Exception var21) {
                        ;
                     }
                  }

                  var16 = -1;
               } else {
                  var18 = var15;
                  var17 += this.method6849(var16, (byte)94);
                  if(null != this.aByteArrayArray4923 && -1 != var12) {
                     var17 += this.aByteArrayArray4923[var12][var16];
                  }

                  var12 = var16;
               }

               if(var17 > 0) {
                  var6 += var17;
                  if(null != var2) {
                     if(32 == var16) {
                        var8 = var15;
                        var9 = var6;
                        var10 = var5?1:0;
                     }

                     if(var6 > var2[var13 < var2.length?var13:var2.length - 1]) {
                        if(var8 >= 0) {
                           var3[var13] = var1.substring(var7, var8 + 1 - var10);
                           ++var13;
                           if(var13 >= var3.length) {
                              return 0;
                           }

                           var7 = var8 + 1;
                           var8 = -1;
                           var6 -= var9;
                           var12 = -1;
                        } else {
                           var3[var13] = var1.substring(var7, var18);
                           ++var13;
                           if(var13 >= var3.length) {
                              return 0;
                           }

                           var7 = var18;
                           var8 = -1;
                           var6 = var17;
                           var12 = -1;
                        }
                     }

                     if(45 == var16) {
                        var8 = var15;
                        var9 = var6;
                        var10 = 0;
                     }
                  }
               }
            }
         }

         if(var1.length() > var7) {
            var3[var13] = var1.substring(var7, var1.length());
            ++var13;
         }

         return var13;
      }
   }

   public int method6876(String var1, int var2, Interface45[] var3, int var4) {
      int var5 = this.method6842(var1, new int[]{var2}, aStringArray4927, var3, 280463017);
      int var6 = 0;

      for(int var7 = 0; var7 < var5; ++var7) {
         int var8 = this.method6856(aStringArray4927[var7], var3, (short)16384);
         if(var8 > var6) {
            var6 = var8;
         }
      }

      return var6;
   }

   public int method6877(String var1, int var2, int var3, Interface45[] var4) {
      if(0 == var3) {
         var3 = this.anInt4924 * -763478155;
      }

      int var5 = this.method6842(var1, new int[]{var2}, aStringArray4927, var4, 422455595);
      int var6 = (var5 - 1) * var3;
      return var6 + this.anInt4922 * 835794751 + this.anInt4926 * -1710708437;
   }

   public static Class405 method6878(Class253 var0, int var1) {
      byte[] var2 = var0.method4512(var1, 749605384);
      return null == var2?null:new Class405(var2);
   }

   public Point method6879(String var1, int var2, int var3, int var4, Interface45[] var5) {
      if(var4 <= 0) {
         return new Point(0, 835794751 * this.anInt4922 + var3);
      } else {
         if(var4 > var1.length()) {
            var4 = var1.length();
         }

         if(0 == var3) {
            var3 = -763478155 * this.anInt4924;
         }

         int var6 = this.method6843(var1, new int[]{var2}, aStringArray4927, var5, false, 937148694);
         int var7 = 0;

         for(int var8 = 0; var8 < var6; ++var8) {
            int var9 = aStringArray4927[var8].length();
            if(var7 + var9 > var4 || var8 == var6 - 1 && var4 == var1.length()) {
               String var10 = var1.substring(var7, var4);
               if(var10.endsWith("<br>")) {
                  var10 = "";
                  int var10000 = var7 + var9;
                  ++var8;
               }

               int var11 = this.method6856(var10, var5, (short)16384);
               int var12 = this.anInt4922 * 835794751 + var3 * var8;
               return new Point(var11, var12);
            }

            var7 += var9;
         }

         return null;
      }
   }

   Class405(byte[] var1) {
      RS2Buffer var2 = new RS2Buffer(var1);
      int var3 = var2.readUnsignedByte(-700559597);
      if(0 != var3) {
         throw new RuntimeException("");
      } else {
         boolean var4 = var2.readUnsignedByte(-700559597) == 1;
         this.aByteArray4925 = new byte[256];
         var2.method13737(this.aByteArray4925, 0, 256, 1385214721);
         if(var4) {
            int[] var5 = new int[256];
            int[] var6 = new int[256];

            int var7;
            for(var7 = 0; var7 < 256; ++var7) {
               var5[var7] = var2.readUnsignedByte(-700559597);
            }

            for(var7 = 0; var7 < 256; ++var7) {
               var6[var7] = var2.readUnsignedByte(-700559597);
            }

            byte[][] var13 = new byte[256][];

            int var10;
            for(int var8 = 0; var8 < 256; ++var8) {
               var13[var8] = new byte[var5[var8]];
               byte var9 = 0;

               for(var10 = 0; var10 < var13[var8].length; ++var10) {
                  var9 += var2.readByte(1514672693);
                  var13[var8][var10] = var9;
               }
            }

            byte[][] var12 = new byte[256][];

            int var14;
            for(var14 = 0; var14 < 256; ++var14) {
               var12[var14] = new byte[var5[var14]];
               byte var15 = 0;

               for(int var11 = 0; var11 < var12[var14].length; ++var11) {
                  var15 += var2.readByte(-1329697283);
                  var12[var14][var11] = var15;
               }
            }

            this.aByteArrayArray4923 = new byte[256][256];

            for(var14 = 0; var14 < 256; ++var14) {
               if(32 != var14 && var14 != 160) {
                  for(var10 = 0; var10 < 256; ++var10) {
                     if(32 != var10 && var10 != 160) {
                        this.aByteArrayArray4923[var14][var10] = (byte)Class202.method3449(var13, var12, var6, this.aByteArray4925, var5, var14, var10, 1660060477);
                     }
                  }
               }
            }

            this.anInt4924 = (var6[32] + var5[32]) * -1425581859;
         } else {
            this.anInt4924 = var2.readUnsignedByte(-700559597) * -1425581859;
         }

         var2.readUnsignedByte(-700559597);
         var2.readUnsignedByte(-700559597);
         this.anInt4922 = var2.readUnsignedByte(-700559597) * 2091792575;
         this.anInt4926 = var2.readUnsignedByte(-700559597) * -1722888829;
      }
   }

   public Point method6880(String var1, int var2, int var3, int var4, Interface45[] var5) {
      if(var4 <= 0) {
         return new Point(0, 835794751 * this.anInt4922 + var3);
      } else {
         if(var4 > var1.length()) {
            var4 = var1.length();
         }

         if(0 == var3) {
            var3 = -763478155 * this.anInt4924;
         }

         int var6 = this.method6843(var1, new int[]{var2}, aStringArray4927, var5, false, 937148694);
         int var7 = 0;

         for(int var8 = 0; var8 < var6; ++var8) {
            int var9 = aStringArray4927[var8].length();
            if(var7 + var9 > var4 || var8 == var6 - 1 && var4 == var1.length()) {
               String var10 = var1.substring(var7, var4);
               if(var10.endsWith("<br>")) {
                  var10 = "";
                  int var10000 = var7 + var9;
                  ++var8;
               }

               int var11 = this.method6856(var10, var5, (short)16384);
               int var12 = this.anInt4922 * 835794751 + var3 * var8;
               return new Point(var11, var12);
            }

            var7 += var9;
         }

         return null;
      }
   }

   public int method6881(String var1, int var2, int var3, int var4, int var5, Interface45[] var6) {
      if(0 == var3) {
         var3 = -763478155 * this.anInt4924;
      }

      int var7 = this.method6842(var1, new int[]{var2}, aStringArray4927, var6, 1101544920);
      if(var7 == 0) {
         return 0;
      } else {
         if(var5 < 0) {
            var5 = 0;
         }

         var5 /= var3;
         if(var5 >= var7) {
            var5 = var7 - 1;
         }

         String var8 = aStringArray4927[var5];
         int var9 = 0;
         int var10 = 0;

         int var11;
         for(var11 = 0; var11 < var4 && var9 < var8.length(); var11 = this.method6856(var8.substring(0, var9), var6, (short)16384)) {
            var10 = var11;
            ++var9;
         }

         if(var9 == var8.length() && var8.endsWith("<br>")) {
            var9 -= 4;
         }

         if(var4 - var10 < var11 - var4) {
            --var9;
         }

         for(int var12 = 0; var12 < var5; ++var12) {
            var9 += aStringArray4927[var12].length();
         }

         return var9;
      }
   }

   public static int method6882(int var0, boolean var1, int var2) {
      if(var1) {
         return 0;
      } else {
         Class225_Sub38 var3 = Class167_Sub1.method14830(var0, var1, -2118114695);
         if(var3 == null) {
            return Class394.aClass387_4875.method6642(var0, 149030513).anInt10574 * 1735040379;
         } else {
            int var4 = 0;

            for(int var5 = 0; var5 < var3.anIntArray8715.length; ++var5) {
               if(var3.anIntArray8715[var5] == -1) {
                  ++var4;
               }
            }

            var4 += Class394.aClass387_4875.method6642(var0, -1053351823).anInt10574 * 1735040379 - var3.anIntArray8715.length;
            return var4;
         }
      }
   }

   public static Class536_Sub1 method6883(int var0) {
      return Class75.method1617(Class419.aClass422_5320.anInt5346 * -72158445, -179541489);
   }

   public static Class369 method6884(RS2Buffer var0, int var1) {
      Class369 var2 = new Class369();
      var2.anInt4624 = var0.readUnsignedShort(-937710807) * -540204691;
      var2.aClass225_Sub14_Sub5_4623 = Class255.aClass434_3029.method7328(var2.anInt4624 * -670625691, -1910407403);
      return var2;
   }
}
